% Hypertools toolbox, Version 2.2 [2 November 2005]
% (C) P.Paclik, S.Verzakov, R.P.W.Duin, TU Delft
% P.Paclik@ewi.tudelft.nl
%
% Data handling
% data2dip             Convert image in a dataset into a dip image
% dip2data             Convert a dip image into a dataset
% getli                Return label image from a dataset or label vector
% setli                Set labels in the dataset from the label image
% isdipinstalled       Tests if DIPimage is installed
% 
% Visualization of spectral data
% drawident            Draw overlay image highlighting identifiers of dataset subset
% fig2dip              Retrieve DIP images from figures via handles or indices
% get_spec_colormap    Generate colormap for label images
% plots                Plot spectra
% chemimage            Create an image rendering the area under the part of spectra
% showsi               Show spectral image
% si_attach_display    Attach an additional display to the spectral image
% si_dettach_display   Dettach an additional display to the spectral image
% si_get_spectra       Get spectra marked in spectral image
% si_set_ylim          Set the ylim of the spectral figure
% speccolormap         Set the spectral colormap
% 
% Preprocessing
% basesubm             Baseline subtraction mapping
% derfilter            Gaussian derivative filter
% smoothm              Smoothing and derivatives mapping
% specnormm            Spectral normalization mapping
% subsamplem           Spectral subsampling mapping
% 
% Dissimilarity data representations
% dissimm              General dissimilarity mapping
% dasam                Spectral Angle Mapper (using acos)
% dsam                 Spectral Angle Mapper (normalized inner product)
% dcityblock           City-block (Manhattan) distance
% dkl                  Kullback-Leibler divergence
% dkolmogorov          Kolmogorov distance
% dmatch               Match distance
% dquadform            Quadratic-form distance
% dshape               Spectral distance using shape (Savitsky-Golay smoothing)
% dspec_shape          Spectral distance using shape (Gaussian smoothing)
% protoselm            Prototype selection mapping
% 
% Unmixing
% opam                 Orthogonal projection approach: selects "pure" features
% opaps                Orthogonal projection approach: selects "pure" objects
% varimaxfm            Extracts sparse (pure) features 
% varimaxom            Extracts sparse (pure) objects
% als                  Alterating least squares
%
% Feature extraction methods
% ccam                 Canonical Correlation Analysis mapping
% gldbm                Generalised Local Discriminant Bases GLDB (bottom-up, Fisher crit)
% gldbm_cat            Concatenate GDLB mappings
% gldbm_featsel        Select bases in GLDB mapping using a feat.sel. mapping
% gldbm_mc_featsel     Apply the feature selection to a multi-class GLDB mapping
% gldbm_multi          GLDB bottom-up, multi-class crit using Fisher separability
% gldbm_td             GLDB using top-down criterion (Fisher separability)
% gldbm_td_ae          GLDB using top-down criterion (apparent error)
% gldbm_td_prob        GLDB using top-down criterion (Log-odds)
% maf                  Maximum autocorrelation mapping
% nlgldbm              Non-linear Fisher multi-class GLDB (bottom-up) mapping for spectra
% pcashave             PCA shaving algorithm
% plot_cca             Superimpose training and test data projected by CCA
% plot_gldb_groups     Plot groups selected by GLDB
% simcam               Supervised SIMCA mapping
% 
% featself_simple      Simple forward feature selection
% randfeatselm         Random feature selection with validation
% genfeatsel           Genetic feature selection algorithm
% 
% Image segmentation
% pcaclust             PCA clustering
% segment_comb         Segmentation combining spatial and spectral domains
% 
% Classification
% corrc                Correlation classifier
% samc                 Spectral Angle Mapper classifier
% simcac               Supervised SIMCA classifier
% liknonc              Liknon feature extractor and classifier
% maxsimc              Maximum similarity classifier
% mindistc             Minimum distance classifier
%
