%DLH likelihood distance
%
%     D=DLH(DATA,PROTO)
%
% INPUT
%   DATA   a dataset
%   PROTO  the dataset with prototypes (representation set)
% OUTPUT
%   D      dataset with a distance matrix
%
% DESCRIPTION
% d(i,j) = - sum(log(data(i,:))*proto(j,:)')
%

% $Id: dlh.m,v 1.2 2005/04/08 11:29:08 pavel Exp $

function d=dlh(data,proto)

fprintf(' dlh:');

if size(data,2)~=size(proto,2)
  error('both datasets must have the same feature sizes');
end
sc=size(data,1); % training sample size
pc=size(proto,1); % test sample size
d=zeros(sc,pc);

labdata=getlab(data);
labproto=getlab(proto);
data2=data; data=+data;
proto2=proto; proto=+proto;


% normalization: we consider a histogram being a set of probability
% estimates
data=data./repmat(sum(data,2),[1,size(data,2)]);
proto=proto./repmat(sum(proto,2),[1,size(proto,2)]);

w = warning;
warning('off');
l = log(proto);
warning(w);  
l(~isfinite(l)) = 0;

d = -(data*l');

d=setdat(data2,d);
d=setfeatlab(d,labproto);

return
  
