% GLDBM_CAT Concatenate GDLB mappings
%
%   WOUT=GLDBM_CAT(WIN)
%
% DESCRIPTION
% Concatenate a set of GLDB mappings given in a cell array.

function wout=gldbm_cat(win)
   
   if ~iscell(win)
      error('cell array with gldbm mappings expected');
   end

   tout.clf=[];
   tout.l=[];
   tout.u=[];
   
   for i=1:prod(size(win))
      
      t=win{i};
      if ~isempty(t)
	 t=+t; % get data
	 tout.clf=[tout.clf t.clf];
	 tout.l=[tout.l t.l];
	 tout.u=[tout.u t.u];
      end
   end
   s=struct(win{i});
   wout=mapping('gldbm','trained',tout,...
		s.labels,s.size_in,length(tout.l));
   
   return