% BASESUBM Baseline subtraction mapping
% 
%  W = MEANSUBPPM(A)
% 
% INPUT  
%  A       dataset 
%
% OUTPUT
%  W       mean value of the spectrum subtraction mapping
%
% DESCRIPTION
% Mean value subtraction from each spectra
%
% SEE ALSO
% DATASETS, MAPPINGS

% Copyright: S. Verzakov, P. Paclik, s.verzakov@tudelft.nl

% $Id: meansubppm.m,v 1.1 2007/03/22 16:17:06 serguei Exp $

function w = meansubppm(a,w)

  % No dataset given: return fixed mapping.
	if isempty(a)
    w = mapping(mfilename, 'fixed');
		w = setname(w,'Mean Value Subtraction Preprocessing Mapping');
		return
	end

  isdataset(a);
  [m,k]=getsize(a);

	meanval = mean(+a,2); % mean of values in base-line region
  a.data   = +a - repmat(meanval,[1, k]);
 
  w = a;

	return



