% loading dataset
data_train = load('mfeat-pix');
data_train = data_train.a;
data_train.prior = [ones(1,getsize(data_train,3))/getsize(data_train,3)];
[data_train, data_test] = gendat(data_train,0.75);


%------------------------------------------ low-level routines
% preparation
% create membership matrix
Y_train = zeros(size(data_train,1),size(getlablist(data_train),1));
Y_train(sub2ind(size(Y_train),(1:size(Y_train,1))',data_train.nlab)) = 1; 
% extract data
X_train = +data_train;

% training
% nan means: auto-centering
Options.X_centering = nan; 
Options.Y_centering = nan; 

% inf means: as many as possible
Options.maxLV = inf;

% SIMPLS by default
%Options.method = 'NIPALS';

[B,XRes,YRes,Options] = pls_train(X_train,Y_train,Options);

% mapping matrix
R = XRes.R; 

% mapped training dataset (feature extraction)
T_train = XRes.T; % transformed X
data_train_pls_fe = setdata(data_train,T_train);

% mapped test dataset (feature extraction)
X_test = +data_test;
T_test = pls_trans(X_test,R,Options);
data_test_pls_fe = setdata(data_test,T_test);



% how many latent variables use for regression
n = 20;

% regression on training dataset
Y_train_est = pls_apply(X_train,B(:,:,n),Options);
data_train_pls_reg = setdata(data_train,Y_train_est);


% regression on test dataset
X_test = +data_test;
Y_test_est = pls_apply(X_test,B(:,:,n),Options);
data_test_pls_reg = setdata(data_test,Y_test_est);


%------------------------------------------ mappings
%w_sc = scalem(data_train,'mean');
w_sc = scalem(data_train);

% inf means: as many as possible
maxLV = inf;
% SIMPLS by default
%method = 'NIPALS';

w_plsm = plsm([],maxLV);
%w_plsm = plsm([],maxLV,method);
w_plsm = data_train*w_sc*w_plsm;
data_train_pls_fe2  = data_train*w_sc*w_plsm;
data_test_pls_fe2   = data_test*w_sc*w_plsm;

w_plsr = plsr([],maxLV)
%w_plsr = plsr([],maxLV,method);
w_plsr = data_train*w_sc*w_plsr;

% how to change the number of latent variables for regression
d = w_plsr.data;
d.n = 20;
w_plsr.data = d;

data_train_pls_reg2  = data_train*w_sc*w_plsr;
data_test_pls_reg2   = data_test*w_sc*w_plsr;

















