% SI_GET_SPECTRA Get spectra marked in spectral image
%
%     A = SI_GET_SPECTRA(SIH)
%
% INPUT
%  SIH    spectral image handle (see showsi)
%
% OUTPUT
%  A      output dataset
%

% $Id: si_get_spectra.m,v 1.5 2005/02/10 15:24:07 pavel Exp $

% Copyright: Pavel Paclik, pavel@ph.tn.tudelft.nl
% Faculty of Applied Physics, Delft University of Technology
% P.O. Box 5046, 2600 GA Delft, The Netherlands

function a=si_get_spectra(sih)
	
	udpim=get(sih,'userdata');
	
	t=udpim.si_points;
	
	bandc=udpim.imsize(3);
	a=zeros(size(t,1),bandc);
	im=udpim.slices; % image data
	for i=1:size(t,1)
		a(i,:)=reshape(double(im(t(i,1),t(i,2),:)),1,bandc);
	end
	a=dataset(a,t(:,3));
	a.user=udpim.si_user;
	
	% set the objects identifiers to linear image indices
	objsize=size(im);
	a.ident=[t(:,1)*objsize(2)+t(:,2)+1];
