% SI_SET_YLIM Set the ylim of the spectral figure
%
%    SI_SET_YLIM(SIH,YLIM)
%
% INPUT
%   SIH     spectral image handle
%   YLIM    y axis limit (scalar value)
%

% $Id: si_set_ylim.m,v 1.5 2005/02/10 15:24:07 pavel Exp $

% Copyright: Pavel Paclik, pavel@ph.tn.tudelft.nl
% Faculty of Applied Physics, Delft University of Technology
% P.O. Box 5046, 2600 GA Delft, The Netherlands


function si_set_ylim(sih,ylim)
	
	udpim=get(sih,'userdata');
	udspec=get(udpim.hspec,'userdata');
	
	if length(ylim)==1
		ylim=[0 ylim];
	end
	set(udspec.si_ax,'ylim',ylim);
	set(udspec.si_cursliceline,'ydata',ylim);
	
	return