% SI_SETVISMODE internal routine for setting up spectra visualization mode

% Copyright: Pavel Paclik, pavel@ph.tn.tudelft.nl
% Faculty of Applied Physics, Delft University of Technology
% P.O. Box 5046, 2600 GA Delft, The Netherlands

function si_setvismode(fig)
 
 ud=get(fig,'userdata');
 ud.state = 'si_visualisation';
 dipfig_set_action_check(fig,'si_visualisation');
 set(fig,'pointer','cross') 

 set(fig,'WindowButtonDownFcn','showsi_update(''down_dip'')');
 set(fig,'WindowButtonMotionFcn','showsi_update(''motion_dip'')');	
 set(fig,'CloseRequestFcn','showsi_update(''close'')');

 udspec=get(ud.hspec,'userdata');
 set(udspec.si_area_line,'visible','off');
 set(udspec.si_templine,'color',[0.5 0.5 0.5]);
 set(udspec.hspec,'WindowButtonDownFcn','showsi_update(''down_spec'')');
 set(udspec.hspec,'WindowButtonMotionFcn','');