% SUBSAMPLEM Spectral subsampling mapping
%
%    W = SUBSAMPLEM(NAME,STEP)
%
% INPUT
%   NAME  - subsampling algorithm ('step')
%   STEP  - subsampling step
%
% OUTPUT
%   W      - fixed subsampling mapping
%

% $Id: subsamplem.m,v 1.3 2005/02/10 15:24:07 pavel Exp $

function W = subsamplem(a,par1,par2)

	if nargin == 0 
		W = mapping(mfilename,'fixed',{'step',5});
		W = setname(W,'Spectral subsampling mapping (step, step=5)');	
	elseif ~isa(a,'dataset')
		% a is supposed to be smoothing type
		switch lower(a)
		 case {'step'}
		  str=sprintf('step=%2d',par1);		  
		  W = mapping(mfilename,'fixed',{'step',par1});
		  W = setname(W,...
				['Spectral subsampling mapping (step, '...
				 str ')';]);
		 otherwise
		  error('unknown mapping type');     
		end
	elseif isa(a,'dataset')
		% execution 
		switch lower(par1)
		 case 'step'
		  a.data=a(:,1:par2:end);
		 otherwise
		  error('unknown mapping type');
		end
		W=a;
	end


	return


